import { IconAlertCircle } from '@material-hu/icons/tabler';

import HuStateCard from '@material-hu/components/composed-components/StateCard';

import { useLokaliseTranslation } from 'src/utils/i18n';

const CoursesListEmpty = () => {
  const { t } = useLokaliseTranslation('learning');

  return (
    <HuStateCard
      slotProps={{
        title: {
          title: t('path.courses.minimum.title'),
          description: t('path.courses.empty.description'),
        },
        avatar: {
          Icon: IconAlertCircle,
          color: 'primary',
        },
      }}
    />
  );
};

export default CoursesListEmpty;
